package cn.com.qmth.stmms.common.enums;

/**
 * 多评情况下的合分策略
 * 
 * @author luoshi
 *
 */
public enum ArbitrateType {
    GROUP("分组", 0), QUESTION("小题", 1);

    private String name;

    private int value;

    private ArbitrateType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static ArbitrateType findByValue(int value) {
        for (ArbitrateType c : ArbitrateType.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
